# \Thelia\Model\BaseFolderQuery

Base class that represents a query for the 'folder' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByParent()
filterByVisible()
filterByPosition()
filterByCreatedAt()
filterByUpdatedAt()
filterByVersion()
filterByVersionCreatedAt()
filterByVersionCreatedBy()
filterByImage()
joinImage()
useImageQuery()
filterByDocument()
joinDocument()
useDocumentQuery()
filterByRewriting()
joinRewriting()
useRewritingQuery()
filterByContentFolder()
joinContentFolder()
useContentFolderQuery()
filterByFolderI18n()
joinFolderI18n()
useFolderI18nQuery()
filterByFolderVersion()
joinFolderVersion()
useFolderVersionQuery()
filterByContent()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
joinI18n()
joinWithI18n()
useI18nQuery()
isVersioningEnabled()
enableVersioning()
disableVersioning()
orderById()
orderByParent()
orderByVisible()
orderByPosition()
orderByCreatedAt()
orderByUpdatedAt()
orderByVersion()
orderByVersionCreatedAt()
orderByVersionCreatedBy()
groupById()
groupByParent()
groupByVisible()
groupByPosition()
groupByCreatedAt()
groupByUpdatedAt()
groupByVersion()
groupByVersionCreatedAt()
groupByVersionCreatedBy()
leftJoin()
rightJoin()
innerJoin()
leftJoinImage()
rightJoinImage()
innerJoinImage()
leftJoinDocument()
rightJoinDocument()
innerJoinDocument()
leftJoinRewriting()
rightJoinRewriting()
innerJoinRewriting()
leftJoinContentFolder()
rightJoinContentFolder()
innerJoinContentFolder()
leftJoinFolderI18n()
rightJoinFolderI18n()
innerJoinFolderI18n()
leftJoinFolderVersion()
rightJoinFolderVersion()
innerJoinFolderVersion()
findOne()
findOneOrCreate()
findOneById()
findOneByParent()
findOneByVisible()
findOneByPosition()
findOneByCreatedAt()
findOneByUpdatedAt()
findOneByVersion()
findOneByVersionCreatedAt()
findOneByVersionCreatedBy()
findById()
findByParent()
findByVisible()
findByPosition()
findByCreatedAt()
findByUpdatedAt()
findByVersion()
findByVersionCreatedAt()
findByVersionCreatedBy()
$isVersioningEnabled
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/FolderQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\FolderQuery

## Tags

None found

## Properties

### $isVersioningEnabled

    $isVersioningEnabled

Whether the versioning is enabled

#

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\FolderQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\FolderQuery

Returns a new ChildFolderQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\FolderQuery

#

static

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Folder|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Folder|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\FolderQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\FolderQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\FolderQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByParent()

    filterByParent(mixed $parent, string $comparison) : \Thelia\Model\FolderQuery

Filter the query on the parent column

Example usage: `$query->filterByParent(1234); // WHERE parent = 1234 $query->filterByParent(array(12, 34)); // WHERE parent IN (12, 34) $query->filterByParent(array('min' => 12)); // WHERE parent > 12`

#### Parameters

mixed | $parent | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByVisible()

    filterByVisible(mixed $visible, string $comparison) : \Thelia\Model\FolderQuery

Filter the query on the visible column

Example usage: `$query->filterByVisible(1234); // WHERE visible = 1234 $query->filterByVisible(array(12, 34)); // WHERE visible IN (12, 34) $query->filterByVisible(array('min' => 12)); // WHERE visible > 12`

#### Parameters

mixed | $visible | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPosition()

    filterByPosition(mixed $position, string $comparison) : \Thelia\Model\FolderQuery

Filter the query on the position column

Example usage: `$query->filterByPosition(1234); // WHERE position = 1234 $query->filterByPosition(array(12, 34)); // WHERE position IN (12, 34) $query->filterByPosition(array('min' => 12)); // WHERE position > 12`

#### Parameters

mixed | $position | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\FolderQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\FolderQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByVersion()

    filterByVersion(mixed $version, string $comparison) : \Thelia\Model\FolderQuery

Filter the query on the version column

Example usage: `$query->filterByVersion(1234); // WHERE version = 1234 $query->filterByVersion(array(12, 34)); // WHERE version IN (12, 34) $query->filterByVersion(array('min' => 12)); // WHERE version > 12`

#### Parameters

mixed | $version | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByVersionCreatedAt()

    filterByVersionCreatedAt(mixed $versionCreatedAt, string $comparison) : \Thelia\Model\FolderQuery

Filter the query on the version_created_at column

Example usage: `$query->filterByVersionCreatedAt('2011-03-14'); // WHERE version_created_at = '2011-03-14' $query->filterByVersionCreatedAt('now'); // WHERE version_created_at = '2011-03-14' $query->filterByVersionCreatedAt(array('max' => 'yesterday')); // WHERE version_created_at > '2011-03-13'`

#### Parameters

mixed | $versionCreatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByVersionCreatedBy()

    filterByVersionCreatedBy(string $versionCreatedBy, string $comparison) : \Thelia\Model\FolderQuery

Filter the query on the version_created_by column

Example usage: `$query->filterByVersionCreatedBy('fooValue'); // WHERE version_created_by = 'fooValue' $query->filterByVersionCreatedBy('%fooValue%'); // WHERE version_created_by LIKE '%fooValue%'`

#### Parameters

string | $versionCreatedBy | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByImage()

    filterByImage(\Thelia\Model\Image|\Propel\Runtime\Collection\ObjectCollection $image, string $comparison) : \Thelia\Model\FolderQuery

Filter the query by a related \Thelia\Model\Image object

#### Parameters

\Thelia\Model\Image|\Propel\Runtime\Collection\ObjectCollection | $image | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinImage()

    joinImage(string $relationAlias, string $joinType) : \Thelia\Model\FolderQuery

Adds a JOIN clause to the query using the Image relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### useImageQuery()

    useImageQuery(string $relationAlias, string $joinType) : \Thelia\Model\ImageQuery

Use the Image relation Image object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ImageQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByDocument()

    filterByDocument(\Thelia\Model\Document|\Propel\Runtime\Collection\ObjectCollection $document, string $comparison) : \Thelia\Model\FolderQuery

Filter the query by a related \Thelia\Model\Document object

#### Parameters

\Thelia\Model\Document|\Propel\Runtime\Collection\ObjectCollection | $document | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinDocument()

    joinDocument(string $relationAlias, string $joinType) : \Thelia\Model\FolderQuery

Adds a JOIN clause to the query using the Document relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### useDocumentQuery()

    useDocumentQuery(string $relationAlias, string $joinType) : \Thelia\Model\DocumentQuery

Use the Document relation Document object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\DocumentQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByRewriting()

    filterByRewriting(\Thelia\Model\Rewriting|\Propel\Runtime\Collection\ObjectCollection $rewriting, string $comparison) : \Thelia\Model\FolderQuery

Filter the query by a related \Thelia\Model\Rewriting object

#### Parameters

\Thelia\Model\Rewriting|\Propel\Runtime\Collection\ObjectCollection | $rewriting | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinRewriting()

    joinRewriting(string $relationAlias, string $joinType) : \Thelia\Model\FolderQuery

Adds a JOIN clause to the query using the Rewriting relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### useRewritingQuery()

    useRewritingQuery(string $relationAlias, string $joinType) : \Thelia\Model\RewritingQuery

Use the Rewriting relation Rewriting object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\RewritingQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByContentFolder()

    filterByContentFolder(\Thelia\Model\ContentFolder|\Propel\Runtime\Collection\ObjectCollection $contentFolder, string $comparison) : \Thelia\Model\FolderQuery

Filter the query by a related \Thelia\Model\ContentFolder object

#### Parameters

\Thelia\Model\ContentFolder|\Propel\Runtime\Collection\ObjectCollection | $contentFolder | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinContentFolder()

    joinContentFolder(string $relationAlias, string $joinType) : \Thelia\Model\FolderQuery

Adds a JOIN clause to the query using the ContentFolder relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### useContentFolderQuery()

    useContentFolderQuery(string $relationAlias, string $joinType) : \Thelia\Model\ContentFolderQuery

Use the ContentFolder relation ContentFolder object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ContentFolderQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByFolderI18n()

    filterByFolderI18n(\Thelia\Model\FolderI18n|\Propel\Runtime\Collection\ObjectCollection $folderI18n, string $comparison) : \Thelia\Model\FolderQuery

Filter the query by a related \Thelia\Model\FolderI18n object

#### Parameters

\Thelia\Model\FolderI18n|\Propel\Runtime\Collection\ObjectCollection | $folderI18n | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinFolderI18n()

    joinFolderI18n(string $relationAlias, string $joinType) : \Thelia\Model\FolderQuery

Adds a JOIN clause to the query using the FolderI18n relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### useFolderI18nQuery()

    useFolderI18nQuery(string $relationAlias, string $joinType) : \Thelia\Model\FolderI18nQuery

Use the FolderI18n relation FolderI18n object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\FolderI18nQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByFolderVersion()

    filterByFolderVersion(\Thelia\Model\FolderVersion|\Propel\Runtime\Collection\ObjectCollection $folderVersion, string $comparison) : \Thelia\Model\FolderQuery

Filter the query by a related \Thelia\Model\FolderVersion object

#### Parameters

\Thelia\Model\FolderVersion|\Propel\Runtime\Collection\ObjectCollection | $folderVersion | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinFolderVersion()

    joinFolderVersion(string $relationAlias, string $joinType) : \Thelia\Model\FolderQuery

Adds a JOIN clause to the query using the FolderVersion relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### useFolderVersionQuery()

    useFolderVersionQuery(string $relationAlias, string $joinType) : \Thelia\Model\FolderVersionQuery

Use the FolderVersion relation FolderVersion object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\FolderVersionQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByContent()

    filterByContent(\Thelia\Model\Base\Content $content, string $comparison) : \Thelia\Model\FolderQuery

Filter the query by a related Content object using the content_folder table as cross reference

#### Parameters

\Thelia\Model\Base\Content | $content | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### prune()

    prune(\Thelia\Model\Folder $folder) : \Thelia\Model\FolderQuery

Exclude object from result

#### Parameters

\Thelia\Model\Folder | $folder | Object to remove from the list of results

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the folder table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildFolder or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\FolderQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\FolderQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\FolderQuery

Order by update date desc

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\FolderQuery

Order by update date asc

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\FolderQuery

Order by create date desc

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\FolderQuery

Order by create date asc

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinI18n()

    joinI18n(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\FolderQuery

Adds a JOIN clause to the query using the i18n relation

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### joinWithI18n()

    joinWithI18n(string $locale, string $joinType) : \Thelia\Model\FolderQuery

Adds a JOIN clause to the query and hydrates the related I18n object.

Shortcut for $c->joinI18n($locale)->with()

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\FolderQuery —

The current query, for fluid interface

#

## Tags

None found

### useI18nQuery()

    useI18nQuery(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\FolderI18nQuery

Use the I18n relation query object

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\FolderI18nQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### isVersioningEnabled()

    isVersioningEnabled() : boolean

Checks whether versioning is enabled

#### Returns

boolean

#

static

## Tags

None found

### enableVersioning()

    enableVersioning()

Enables versioning

#

static

## Tags

None found

### disableVersioning()

    disableVersioning()

Disables versioning

#

static

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\FolderQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### orderByParent()

    orderByParent($order =) : \Thelia\Model\FolderQuery

Order by the parent column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### orderByVisible()

    orderByVisible($order =) : \Thelia\Model\FolderQuery

Order by the visible column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### orderByPosition()

    orderByPosition($order =) : \Thelia\Model\FolderQuery

Order by the position column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\FolderQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\FolderQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### orderByVersion()

    orderByVersion($order =) : \Thelia\Model\FolderQuery

Order by the version column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### orderByVersionCreatedAt()

    orderByVersionCreatedAt($order =) : \Thelia\Model\FolderQuery

Order by the version_created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### orderByVersionCreatedBy()

    orderByVersionCreatedBy($order =) : \Thelia\Model\FolderQuery

Order by the version_created_by column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\FolderQuery

Group by the id column

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### groupByParent()

    groupByParent() : \Thelia\Model\FolderQuery

Group by the parent column

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### groupByVisible()

    groupByVisible() : \Thelia\Model\FolderQuery

Group by the visible column

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### groupByPosition()

    groupByPosition() : \Thelia\Model\FolderQuery

Group by the position column

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\FolderQuery

Group by the created_at column

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\FolderQuery

Group by the updated_at column

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### groupByVersion()

    groupByVersion() : \Thelia\Model\FolderQuery

Group by the version column

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### groupByVersionCreatedAt()

    groupByVersionCreatedAt() : \Thelia\Model\FolderQuery

Group by the version_created_at column

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### groupByVersionCreatedBy()

    groupByVersionCreatedBy() : \Thelia\Model\FolderQuery

Group by the version_created_by column

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\FolderQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\FolderQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\FolderQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### leftJoinImage()

    leftJoinImage($relationAlias =) : \Thelia\Model\FolderQuery

Adds a LEFT JOIN clause to the query using the Image relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### rightJoinImage()

    rightJoinImage($relationAlias =) : \Thelia\Model\FolderQuery

Adds a RIGHT JOIN clause to the query using the Image relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### innerJoinImage()

    innerJoinImage($relationAlias =) : \Thelia\Model\FolderQuery

Adds a INNER JOIN clause to the query using the Image relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### leftJoinDocument()

    leftJoinDocument($relationAlias =) : \Thelia\Model\FolderQuery

Adds a LEFT JOIN clause to the query using the Document relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### rightJoinDocument()

    rightJoinDocument($relationAlias =) : \Thelia\Model\FolderQuery

Adds a RIGHT JOIN clause to the query using the Document relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### innerJoinDocument()

    innerJoinDocument($relationAlias =) : \Thelia\Model\FolderQuery

Adds a INNER JOIN clause to the query using the Document relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### leftJoinRewriting()

    leftJoinRewriting($relationAlias =) : \Thelia\Model\FolderQuery

Adds a LEFT JOIN clause to the query using the Rewriting relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### rightJoinRewriting()

    rightJoinRewriting($relationAlias =) : \Thelia\Model\FolderQuery

Adds a RIGHT JOIN clause to the query using the Rewriting relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### innerJoinRewriting()

    innerJoinRewriting($relationAlias =) : \Thelia\Model\FolderQuery

Adds a INNER JOIN clause to the query using the Rewriting relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### leftJoinContentFolder()

    leftJoinContentFolder($relationAlias =) : \Thelia\Model\FolderQuery

Adds a LEFT JOIN clause to the query using the ContentFolder relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### rightJoinContentFolder()

    rightJoinContentFolder($relationAlias =) : \Thelia\Model\FolderQuery

Adds a RIGHT JOIN clause to the query using the ContentFolder relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### innerJoinContentFolder()

    innerJoinContentFolder($relationAlias =) : \Thelia\Model\FolderQuery

Adds a INNER JOIN clause to the query using the ContentFolder relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### leftJoinFolderI18n()

    leftJoinFolderI18n($relationAlias =) : \Thelia\Model\FolderQuery

Adds a LEFT JOIN clause to the query using the FolderI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### rightJoinFolderI18n()

    rightJoinFolderI18n($relationAlias =) : \Thelia\Model\FolderQuery

Adds a RIGHT JOIN clause to the query using the FolderI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### innerJoinFolderI18n()

    innerJoinFolderI18n($relationAlias =) : \Thelia\Model\FolderQuery

Adds a INNER JOIN clause to the query using the FolderI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### leftJoinFolderVersion()

    leftJoinFolderVersion($relationAlias =) : \Thelia\Model\FolderQuery

Adds a LEFT JOIN clause to the query using the FolderVersion relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### rightJoinFolderVersion()

    rightJoinFolderVersion($relationAlias =) : \Thelia\Model\FolderQuery

Adds a RIGHT JOIN clause to the query using the FolderVersion relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### innerJoinFolderVersion()

    innerJoinFolderVersion($relationAlias =) : \Thelia\Model\FolderQuery

Adds a INNER JOIN clause to the query using the FolderVersion relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\FolderQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\Folder

Return the first ChildFolder matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Folder

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\Folder

Return the first ChildFolder matching the query, or a new ChildFolder object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Folder

#

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\Folder

Return the first ChildFolder filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\Folder

#

## Tags

None found

### findOneByParent()

    findOneByParent(int $parent) : \Thelia\Model\Folder

Return the first ChildFolder filtered by the parent column

#### Parameters

int | $parent |

#### Returns

\Thelia\Model\Folder

#

## Tags

None found

### findOneByVisible()

    findOneByVisible(int $visible) : \Thelia\Model\Folder

Return the first ChildFolder filtered by the visible column

#### Parameters

int | $visible |

#### Returns

\Thelia\Model\Folder

#

## Tags

None found

### findOneByPosition()

    findOneByPosition(int $position) : \Thelia\Model\Folder

Return the first ChildFolder filtered by the position column

#### Parameters

int | $position |

#### Returns

\Thelia\Model\Folder

#

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\Folder

Return the first ChildFolder filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\Folder

#

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\Folder

Return the first ChildFolder filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\Folder

#

## Tags

None found

### findOneByVersion()

    findOneByVersion(int $version) : \Thelia\Model\Folder

Return the first ChildFolder filtered by the version column

#### Parameters

int | $version |

#### Returns

\Thelia\Model\Folder

#

## Tags

None found

### findOneByVersionCreatedAt()

    findOneByVersionCreatedAt(string $version_created_at) : \Thelia\Model\Folder

Return the first ChildFolder filtered by the version_created_at column

#### Parameters

string | $version_created_at |

#### Returns

\Thelia\Model\Folder

#

## Tags

None found

### findOneByVersionCreatedBy()

    findOneByVersionCreatedBy(string $version_created_by) : \Thelia\Model\Folder

Return the first ChildFolder filtered by the version_created_by column

#### Parameters

string | $version_created_by |

#### Returns

\Thelia\Model\Folder

#

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildFolder objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

## Tags

None found

### findByParent()

    findByParent(int $parent) : array

Return ChildFolder objects filtered by the parent column

#### Parameters

int | $parent |

#### Returns

array

#

## Tags

None found

### findByVisible()

    findByVisible(int $visible) : array

Return ChildFolder objects filtered by the visible column

#### Parameters

int | $visible |

#### Returns

array

#

## Tags

None found

### findByPosition()

    findByPosition(int $position) : array

Return ChildFolder objects filtered by the position column

#### Parameters

int | $position |

#### Returns

array

#

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildFolder objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildFolder objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

## Tags

None found

### findByVersion()

    findByVersion(int $version) : array

Return ChildFolder objects filtered by the version column

#### Parameters

int | $version |

#### Returns

array

#

## Tags

None found

### findByVersionCreatedAt()

    findByVersionCreatedAt(string $version_created_at) : array

Return ChildFolder objects filtered by the version_created_at column

#### Parameters

string | $version_created_at |

#### Returns

array

#

## Tags

None found

### findByVersionCreatedBy()

    findByVersionCreatedBy(string $version_created_by) : array

Return ChildFolder objects filtered by the version_created_by column

#### Parameters

string | $version_created_by |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Folder

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Folder —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Folder|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Folder|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### FolderQuery.php